(******************************************************************************
Copyright (C) 2003 Pascal Peter

http://pascal.peter.free.fr/
pascal.peter@free.fr

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le
modifier conformment aux dispositions de la Licence Publique Gnrale GNU,
telle que publie par la Free Software Foundation ; version 2 de la licence,
ou encore toute version ultrieure.

Ce programme est distribu dans l'espoir qu'il sera utile,
mais SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION
ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail,
voir la Licence Publique Gnrale GNU.

Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU en mme
temps que ce programme ; si ce n'est pas le cas,
crivez  la Free Software Foundation Inc.,
675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
-------------------------------------------------------------------------------

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************)

unit UAPropos;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls,

  ShellAPI;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Copyright: TLabel;
    OKButton: TButton;
    Label7: TLabel;
    Label1: TLabel;
    LabelAnnee: TLabel;
    LabelVersion: TLabel;
    Label2: TLabel;
    LabelEMail: TLabel;
    LabelSiteWeb: TLabel;
    procedure LabelMouseEnter(Sender: TObject);
    procedure LabelMouseLeave(Sender: TObject);
    procedure LabelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.LabelMouseEnter(Sender: TObject);
begin
  with TLabel(Sender) do begin
    Font.Color:= clBlue;
    Font.Style:= [fsUnderline];
    Cursor:= crHandPoint;
    end;
end;

procedure TAboutBox.LabelMouseLeave(Sender: TObject);
begin
  with TLabel(Sender) do begin
    Font.Color:= clBlack;
    Font.Style:= [];
    end;
end;

procedure TAboutBox.LabelClick(Sender: TObject);
begin
  if (TLabel(Sender).Name = 'LabelSiteWeb')
    then ShellExecute(0,//Form1.Handle,
                      'Open',
                      PChar(TLabel(Sender).Caption),
                      '',
                      '',
                      SW_SHOWNORMAL)
    else ShellExecute(0,//Form1.Handle,
                      'Open',
                      PChar('mailto:' + TLabel(Sender).Caption +
                            '?subject=' + ProductName.Caption +
                            '&body=' + ''),
                      '',
                      '',
                      SW_SHOWNORMAL);
end;


end.

